import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import lt05_pkg.BasicFrame;
import lt05_pkg.DotController_VersionForQuestion6;
import lt05_pkg.PolkaDotDataModel;

/**
 * This app is a GUI app. It instantiates a PolkaDotDataModel. It then passed
 * that model to a view that is created via an instance of BasicFrame. This view
 * installs itself as a listener on the model. Last, this app instantiates a
 * Dotcontroller, which listens for user mouse events and modifies the
 * PolkaDotDataModel upon certain events.
 * 
 * 
 * @author mb
 */
public class Question6BONUS {
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Q6Runnable());
	}
	/*
	 * Q6Step 1 [3 marks]: Examine the API for the controller
	 * DotController_VersionForQuestion6. Identify the difference between the
	 * specification and the actual behaviour of the app when the user clicks
	 * the mouse. Modify the controller so that the app's behaviour matches the
	 * specification.
	 */
}

class Q6Runnable implements Runnable {
	@Override
	public void run() {
		PolkaDotDataModel model = new PolkaDotDataModel();
		JFrame view = new BasicFrame(model);
		new DotController_VersionForQuestion6(view, model);
	}
}
